# OsiLotsizeBranchingObject Class Reference

Lotsize branching object. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiLotsizeBranchingObject:
[legend]
Collaboration diagram for OsiLotsizeBranchingObject:
[legend]

List of all members.

## Public Member Functions
| OsiLotsizeBranchingObject ()
| Default constructor.
| OsiLotsizeBranchingObject (OsiSolverInterface *solver, const OsiLotsize *originalObject, int way, double value)
| Create a lotsize floor/ceiling branch object.
| OsiLotsizeBranchingObject (const OsiLotsizeBranchingObject &)
| Copy constructor.
OsiLotsizeBranchingObject & | operator= (const OsiLotsizeBranchingObject &rhs)
| Assignment operator.
virtual OsiBranchingObject * | clone () const
| Clone.
virtual | ~OsiLotsizeBranchingObject ()
| Destructor.
virtual double | branch (OsiSolverInterface *solver)
| Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high.
## Protected Attributes
double | down_ [2]
| Lower [0] and upper [1] bounds for the down arm (way_ = -1).
double | up_ [2]
| Lower [0] and upper [1] bounds for the up arm (way_ = 1).

## Detailed Description

Lotsize branching object.

This object can specify a two-way branch on an integer variable. For each arm of the branch, the upper and lower bounds on the variable can be independently specified.

Variable_ holds the index of the integer variable in the integerVariable_ array of the model.

Definition at line 957 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( |  | ) |

Default constructor.

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiLotsize * | originalObject,
|  | int | way,
|  | double | value |
| ) |  |  |

Create a lotsize floor/ceiling branch object.

Specifies a simple two-way branch. Let `value` = x*. One arm of the branch will be is lb <= x <= valid range below(x*), the other valid range above(x*) <= x <= ub. Specify way = -1 to set the object state to perform the down arm first, way = 1 for the up arm.

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( | const OsiLotsizeBranchingObject & |  | ) |

Copy constructor.

virtual OsiLotsizeBranchingObject::~OsiLotsizeBranchingObject | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

OsiLotsizeBranchingObject& OsiLotsizeBranchingObject::operator= | ( | const OsiLotsizeBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from OsiTwoWayBranchingObject.

virtual OsiBranchingObject* OsiLotsizeBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements OsiBranchingObject.

virtual double OsiLotsizeBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

state. Returns change in guessed objective on next branch

Implements OsiTwoWayBranchingObject.

virtual void OsiLotsizeBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Print something about branch - only if log level high.

## Member Data Documentation

double OsiLotsizeBranchingObject::down_[2]`[protected]`

Lower [0] and upper [1] bounds for the down arm (way_ = -1).

Definition at line 1001 of file OsiBranchingObject.hpp.

double OsiLotsizeBranchingObject::up_[2]`[protected]`

Lower [0] and upper [1] bounds for the up arm (way_ = 1).

Definition at line 1003 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Clp-1.16.6/Osi/src/Osi/OsiBranchingObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines